> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Delete personal data for your users

> Learn about options for deleting personal data from closed user memberships in your account or organization.

When a user leaves your organization or account, you can delete their personal identifiable information (PII) such as email address, home address, and name using the management API. The API provides two endpoints for deleting personal data:

* `POST https://api.docusign.net/management/v2/data_redaction/organizations/{organizationId}/user`
  Used by [organization admins](/docs/admin-api/admin101/concepts/delete-personal-data#delete-personal-data-as-an-organization-administrator)  to delete a user’s personal data from the specified list of their organization’s accounts and its domains.
* `POST https://api.docusign.net/management/v2/data_redaction/accounts/{accountId}/user`
  Used by [eSignature account admins](/docs/admin-api/admin101/concepts/delete-personal-data#delete-personal-data-as-a-eSignature-account-administrator)  to delete personal data for members of their accounts.

> **Note**
>
> See [How to delete user data from one or more accounts as an organization admin](/docs/admin-api/how-to/org-admin-delete-user-data) and [How to delete user data from an account as an account admin](/docs/admin-api/how-to/account-admin-delete-user-data) for a code example demonstrating how to delete data from a closed user account membership.

You can only delete the personal data from your user accounts beginning 24 hours after the date and time when their membership was closed.

**Note**: You must request the `user_data_redact` [scope](/platform/auth/reference/scopes) during [Authenticate](/platform/auth) to call either endpoint.

## Delete personal data as an organization administrator

To delete personal data from a user as an organization admin:

* You must be an organization admin (or delegated admin) with permission to manage the given account or manage domain users for the user’s email domain.
* The user account membership whose data will be deleted must have been closed for at least 24 hours.
* You must have requested the `user_data_redact` [scope](/platform/auth/reference/scopes) during [Authenticate](/platform/auth) .

You must also provide the following parameters to the POST `https://api.docusign.net/management/v2/data_redaction/organizations/{organizationId}/user` endpoint:

* **The user ID of the user whose PII will be removed**
  You can find this information in the organization admin UI by selecting **Users**, then **Status** and selecting the default **Status** filter and choosing **Closed**. On the chosen user’s row, select **View**. The User ID will be displayed under the user’s name in the resulting user details screen.

  ![Image of the org admin UI showing where to find a user's ID](/_fern-files/_img/bfddd3917596ac7faf811f012cd15473162638d91ae742e55340bc2e9ba7bf28.webp)
* **A set of account IDs within which the user has membership**
  You can get the set of accounts that a user has membership in by calling the [MultiProductUserManagement:getUserDSProfile](/docs/admin-api/reference/usermanagement/multiproductusermanagement/getuserdsprofile) endpoint. The user’s data will be deleted from the specified accounts.
* **Your organization ID**
  You can find this ID by selecting **Features** in the left nav, then the **Organization Details** tab.

The associated example API call shows the syntax for calling this endpoint to remove the personal data of a user from one account.

See [DataDeletion: redactIndividualUserData](/docs/admin-api/reference/usermanagement/datadeletion/redactindividualuserdata) for details on this endpoint, or [How to delete user data from one or more accounts as an organization admin](/docs/admin-api/how-to/org-admin-delete-user-data) for a code example demonstrating how to use it in a workflow.

**`Example API call`**

```bash title="Example API call"
curl --request POST 'https://api-d.docusign.net/management/v2/data_redaction/organizations/9d407bcb-xxxx-xxxx-xxxx-d49be542fb08/user' \
--header 'Authorization: Bearer ey...37Q' \
--header 'Content-Type: application/json' \
--data-raw '{
  "user_id": "c26eb3fc-xxxx-xxxx-xxxx-cbcc72608d4c",
  "memberships": [
      {"account_id": "d201c20c-xxxx-xxxx-xxxx-e7a37c97513d"}
  ]
}'
```

## Delete personal data as a eSignature account administrator

To delete personal data from a user as an eSignature account admin:

* You must be an account admin (or delegated admin) with permission to manage the given account.
* The user account membership whose data will be deleted must have been closed for at least 24 hours.
* You must have requested the `user_data_redact` [scope](/platform/auth/reference/scopes) during [Authenticate](/platform/auth).

You must also provide the following parameters to the POST `https://api.docusign.net/management/v2/data_redaction/accounts/{accountId}/user` endpoint:

* **The user ID of the user whose PII will be removed**
  You can find this information in the [eSignature Admin](https://admindemo.docusign.com/) UI by selecting [Users](https://admindemo.docusign.com/users), then the default **Status** filter and choosing **Closed**. On the chosen user’s row, select **Actions** and **View**. The User ID will be displayed under the user’s name in the resulting user details screen.

  ![Image of the eSignature Admin UI showing a user's profile ID](/_fern-files/_img/57e686f522ec0ff9d440344aefd320ba8d05489be6c2268e55508ff085416e9c.webp)
* **Your account ID**
  You can find this ID (also called the API account ID) on the [Apps and Keys](https://admindemo.docusign.com/authenticate?goTo=appsAndKeys) page.

The associated example API call shows the syntax for calling this endpoint to remove the personal data of a user from one account.

See [DataDeletion: redactIndividualMembershipData](/docs/admin-api/reference/usermanagement/datadeletion/redactindividualmembershipdata) for details on this endpoint, or [How to delete user data from an account as an account admin](/docs/admin-api/how-to/account-admin-delete-user-data) for a code example demonstrating how to use it in a workflow.

**`Example API call`**

```bash title="Example API call"
curl --request POST 'https://api-d.docusign.net/management/v2/data_redaction/accounts/d201c20c-xxxx-xxxx-xxxx-e7a37c97513d/user' \
--header 'Authorization: Bearer eyJ...37Q' \
--header 'Content-Type: application/json' \
--data-raw '{
    "user_id": "c26eb3fc-xxxx-xxxx-xxxx-cbcc72608d4c"
}'
```

## Next steps

* See [How to delete user data from one or more accounts as an organization admin](/docs/admin-api/how-to/org-admin-delete-user-data) and [How to delete user data from an account as an account admin](/docs/admin-api/how-to/account-admin-delete-user-data) for a code example demonstrating how to delete data from a closed user account membership.
* See [DataDeletion: redactIndividualUserData](/docs/admin-api/reference/usermanagement/datadeletion/redactindividualuserdata) or [DataDeletion: redactIndividualMembershipData](/docs/admin-api/reference/usermanagement/datadeletion/redactindividualmembershipdata) for an API reference on both user data removal endpoints.
* See [Admin API data model](/docs/admin-api/admin101/concepts/data-model) for details, diagramming, and exact definitions for important Admin API terms, including organizations, users, accounts, and domains.
* See [Docusign Admin concepts](/docs/admin-api/admin101/concepts) for an overview of Docusign admin and its functionality.